Bug 1753669 - Automate - cannot initiate new retirement from Automate method
Summary: Automate - cannot initiate new retirement from Automate method
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.10.3
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.11
Assignee: Lucy Fu
QA Contact: Ganesh Hubale
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1700524
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-19 14:52 UTC by Satoe Imaishi
Modified: 2019-10-30 19:41 UTC (History)
11 users (show)

Fixed In Version: 5.10.11.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1700524
Environment:
Last Closed: 2019-10-09 13:51:12 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2967 None None None 2019-10-09 13:51:26 UTC

Comment 2 CFME Bot 2019-09-19 18:20:30 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/a2167c9daafdd187b2d28a169259f51fd0d1366c
commit a2167c9daafdd187b2d28a169259f51fd0d1366c
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Apr 24 15:49:12 2019 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Wed Apr 24 15:49:12 2019 -0400

    Merge pull request #18685 from d-m-u/adding_factory_for_service_retire_request

    Add factory for service retire request

    (cherry picked from commit 58b5dbd2b7be407ee1ba1d03c8a332ba9cf8599e)

    https://bugzilla.redhat.com/show_bug.cgi?id=1753669

 spec/factories/miq_request.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 3 CFME Bot 2019-09-19 18:21:37 UTC
New commits detected on ManageIQ/manageiq-automation_engine/hammer:

https://github.com/ManageIQ/manageiq-automation_engine/commit/94da045d3c588edca60959035e301b8bbfeb4151
commit 94da045d3c588edca60959035e301b8bbfeb4151
Author:     tina <tina.fitzgerald2@gmail.com>
AuthorDate: Thu Apr 25 11:22:27 2019 -0400
Commit:     tina <tina.fitzgerald2@gmail.com>
CommitDate: Thu Apr 25 11:22:27 2019 -0400

    Merge pull request #314 from d-m-u/exposing_retirement_as_request

    Add create_retire_request in the miq_ae_service_methods.rb

    (cherry picked from commit 92ec44f6b1a2017aa316d046c36107bcea1259d7)

    https://bugzilla.redhat.com/show_bug.cgi?id=1753669

 lib/miq_automation_engine/engine/miq_ae_method_service/miq_ae_service_methods.rb | 5 +
 spec/engine/miq_ae_method_service/miq_ae_service_methods_spec.rb | 26 +
 2 files changed, 31 insertions(+)


https://github.com/ManageIQ/manageiq-automation_engine/commit/90547f553dfc05014e006ae566b59ad7caeccdb5
commit 90547f553dfc05014e006ae566b59ad7caeccdb5
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Aug  9 12:24:17 2019 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Fri Aug  9 12:24:17 2019 -0400

    Merge pull request #321 from tinaafitz/fix_retire_request

    Fix call to make_retire_request.

    (cherry picked from commit 566d59a1bebefdc0a2ad6b63fa256276df13e2d3)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1753669

 lib/miq_automation_engine/engine/miq_ae_method_service/miq_ae_service_methods.rb | 4 +-
 spec/engine/miq_ae_method_service/miq_ae_service_methods_spec.rb | 28 +-
 2 files changed, 20 insertions(+), 12 deletions(-)

Comment 4 Ganesh Hubale 2019-09-25 12:25:14 UTC
Fixed!

Verified on version: 5.10.11.0.20190923184203_de5e4c8

Comment 6 errata-xmlrpc 2019-10-09 13:51:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2967


Note You need to log in before you can comment on or make changes to this bug.